﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DemoSample
{
    class GroupMenuModel: ViewModelBase
    { 

         private bool _isExpanded;
        public bool IsExpanded
        {
            get { return _isExpanded; }
            set
            {
                if (_isExpanded != value)
                {
                    _isExpanded = value;
                    OnPropertyChanged("IsExpanded");
                }
            }
        }
        private bool _isSelected;
        public bool IsSelected
        {
            get { return _isSelected; }
            set
            {
                if (_isSelected != value)
                {
                    _isSelected = value;
                    OnPropertyChanged("IsSelected");
                }
            }
        }

        private ObservableCollection<GroupMenuModel> _children = new ObservableCollection<GroupMenuModel>();
        public ObservableCollection<GroupMenuModel> Children
        {
            get { return _children; }
            set
            {
                if (_children != value)
                {
                    _children = value;
                    OnPropertyChanged("Children");
                }
            }
        }

        private string _Menu_Name;
        public string Menu_Name
        {
            get
            {
                return _Menu_Name;
            } 

            set
            {
                _Menu_Name = value;
            }
        }

        
    }
}
